%define Werror_cflags %nil

%ifarch x86_64
%global my_efi_arch x86_64-efi
%endif

%ifarch %arm
%global my_efi_arch arm-efi
%endif

%ifarch %ix86
%global my_efi_arch i386-efi
%endif

%ifarch aarch64
%global my_efi_arch arm64-efi
%endif

%global tarversion 2.06
%undefine _missing_build_ids_terminate_build
%global _configure_gnuconfig_hack 0

%global pc_arch i386-pc

%global theme_version 1.3
%global theme_source grub2-theme-%{theme_version}

%global theme_fonts MageiaLogoBold-16 MageiaLogoRegular-20 MageiaLogoBold-20 MageiaLogoBold-28

# Use 'commits since release tag' from git describe as the version minor
# so we can sanely implement snapshots without reconfiguring the spec.
# Using './make_snapshot_patch' creates a patch with the %%{git} (minor) 
# number in the name.
# Add the patch name as Patch0000: in SOURCES/grub.patches
%define git	0


%global gnulibversion fixes

Name:		grub2
Version:	2.06
%define subrel 1
Release:	%mkrel 1
Summary:	Bootloader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+
URL:		http://www.gnu.org/software/grub/
Source0:	https://ftp.gnu.org/gnu/grub/grub-%{tarversion}.tar.xz
Source1:	grub.macros
Source2:	gnulib-%{gnulibversion}.tar.gz
Source4:	http://unifoundry.com/unifont-5.1.20080820.pcf.gz
Source6:	gitignore
Source7:	bootstrap
Source8:	bootstrap.conf
Source9:	strtoull_test.c
Source11:	grub.patches
Source12:	sbat.csv.in
# 
# Mageia sources:
#
# Explain diff with FC:
Source100:	00_SUMMARY
Source101:	README.Mageia
Source102:	README.efi
Source110:	http://gitweb.mageia.org/software/design/grub2-theme/snapshot/%{theme_source}.tar.xz
Source111:	mageia.macros
# TODO/FIXME: Should be split as a standalone theme pkg:
Source114:	grub2-mageia-default.png
Source20:	theme.txt
Source21:	make_snapshot_patch
Source52:	grub.default

%include %{SOURCE1}
%include %{SOURCE111}

BuildRequires:	gcc efi-srpm-macros
BuildRequires:	autoconf
BuildRequires:	autogen
BuildRequires:	automake
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	freetype-devel
BuildRequires:	freetype-devel
BuildRequires:	pkgconfig(fuse) 
BuildRequires:	gettext-devel
BuildRequires:	git
BuildRequires:	glibc-devel
BuildRequires:	liblzo-devel
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	python3
BuildRequires:	rpm-devel
BuildRequires:	ruby
BuildRequires:	texinfo
BuildRequires:	help2man
BuildRequires:	pesign >= 0.99-8

Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%global desc \
This is the second version of GRUB. \
The GRand Unified Bootloader (GRUB) is a highly configurable and \
customizable bootloader with modular architecture.  It supports a rich \
variety of kernel formats, file systems, computer architectures and \
hardware devices.\
Refer to the README.Mageia file that is part of this package's documentation \
for more information. \
%{nil}

# generate with do-rebase
%include %{SOURCE11}

#
# Mga patches:
#
Patch20001:	grub2-2.00-mga-add_failsafe-10_linux.in.patch
Patch20003:	grub2-2.00-mga-dont_write_diskfilter_error_to_screen.patch
Patch20004:	grub2-2.00-mga-dont_check_uuid_in_installer.patch
Patch20006:	grub2-2.02-mga-translate-theme-label.patch
Patch20007:	grub2-2.04-disable_fdt_on_arm-uboot.patch
Patch20008:	grub2-2.02-mga-translate-theme-title.patch
# Fix https://savannah.gnu.org/bugs/?57889
# fix finding Mageia efi
Source20010:	grub-2.04-find-boot-EFI.patch
# Restore the upstream x86 'linux' command, which is removed by the FC
# patches. Rename it to 'linux32' to avoid clashing with the FC aliases.
# This is currently needed to run pcmemtest when booted by a UEFI BIOS.
Patch20011:	grub2-2.04-mga-restore-linux-32bit-loader.patch

#
# SuSE Patch:
#
# Fixes Mga#15846 - Grub2 doesn't install the bootloader on btrfs if we
# have a dualboot with windows starting at sector 63
Patch30001:	grub2-setup-try-fs-embed-if-mbr-gap-too-small.patch

#
# Unity Patches
#

#
# Upstream Patches
#

%description
%{desc}

%package efi
Summary:	Boot-loader with support for EFI
Group:		System/Boot and Init

Requires(post):	efibootmgr
Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description efi
%{desc}
This subpackage supports EFI platforms.

%ifarch %arm
%package uboot
Summary:	Boot-loader with support for  UBOOT
Group:		System/Boot and Init

Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description uboot
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
%endif

%package common
Summary:	Provides files common to both grub2 and grub2-efi
Group:		System/Boot and Init
Conflicts:	memtest86+ < 5.01-7
Conflicts:	%{name} < 2.02-0.git9752.19.mga5
Conflicts:	%{name}-efi < 2.02-0.git9752.19.mga5
Recommends:	os-prober >= 1.53
Recommends:	xorriso
Requires:	grub2bootloader = %{version}-%{release}
Requires:	console-setup

%description common
Common files used by both grub2 and grub2-efi.

%package mageia-theme
Summary:	Provides a graphical theme with a custom Mageia background for grub2
Group:		System/Boot and Init

Requires:	grub2bootloader = %{version}
Requires(post):	sed
Requires(post):	coreutils
Conflicts:	grub2-mageia-theme-dejavu

BuildArch:	noarch

%description mageia-theme
This package provides a custom Mageia graphical theme.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%if 0%{with_emu_arch}
%package emu
Summary:	GRUB user-space emulation
Requires:	%{name}-common = %{version}-%{release}
BuildRequires:	pkgconfig(sdl)

%description emu
%{desc}
This subpackage provides the GRUB user-space emulation support of all platforms.

%package emu-modules
Summary:	GRUB user-space emulation modules
Requires:	%{name}-common = %{version}-%{release}

%description emu-modules
%{desc}
This subpackage provides the GRUB user-space emulation modules.
%endif

%prep
# Theme translations and fonts
tar xf %{SOURCE110}

%do_common_setup
%merge_theme_translations

# Workaround for https://savannah.gnu.org/bugs/?57298.
# A number of strings were unintentionally excluded from the translation catalogue in the
# 2.04 release. Fortunately the omitted strings are just commented out in the .po files, so
# we can easily restore them. This workaround should be removed if/when upstream fix the bug.
cd po
for po_file in *.po ; do
  sed -i -e 's/^#~ //' -e 's/^#~|/#|/' $po_file
  msgfmt -o ${po_file%.po}.gmo $po_file
done
cd ..

%if 0%{with_efi_arch}
mkdir grub-%{grubefiarch}-%{tarversion}
grep -A100000 '# stuff "make" creates' .gitignore > grub-%{grubefiarch}-%{tarversion}/.gitignore
cp %{SOURCE4} grub-%{grubefiarch}-%{tarversion}/unifont.pcf.gz
sed -e "s,@@VERSION@@,%{version},g" -e "s,@@VERSION_RELEASE@@,%{version}-%{release},g" \
    %{SOURCE12} > grub-%{grubefiarch}-%{tarversion}/sbat.csv
git add grub-%{grubefiarch}-%{tarversion}
%endif
%if 0%{with_alt_efi_arch}
mkdir grub-%{grubaltefiarch}-%{tarversion}
grep -A100000 '# stuff "make" creates' .gitignore > grub-%{grubaltefiarch}-%{tarversion}/.gitignore
cp %{SOURCE4} grub-%{grubaltefiarch}-%{tarversion}/unifont.pcf.gz
git add grub-%{grubaltefiarch}-%{tarversion}
%endif
%if 0%{with_legacy_arch}
mkdir grub-%{grublegacyarch}-%{tarversion}
grep -A100000 '# stuff "make" creates' .gitignore > grub-%{grublegacyarch}-%{tarversion}/.gitignore
cp %{SOURCE4} grub-%{grublegacyarch}-%{tarversion}/unifont.pcf.gz
git add grub-%{grublegacyarch}-%{tarversion}
%endif
%if 0%{with_emu_arch}
mkdir grub-emu-%{tarversion}
grep -A100000 '# stuff "make" creates' .gitignore > grub-emu-%{tarversion}/.gitignore
cp %{SOURCE4} grub-emu-%{tarversion}/unifont.pcf.gz
git add grub-emu-%{tarversion}
%endif
git commit -m "After making subdirs"

# README.Mageia
cp %{SOURCE101} .
 
# README.efi
cp %{SOURCE102} .

%build
%if 0%{with_efi_arch}
%{expand:%do_primary_efi_build %%{grubefiarch} %%{grubefiname} %%{grubeficdname} %%{_target_platform} %%{efi_target_cflags} %%{efi_host_cflags}}
%endif
%if 0%{with_alt_efi_arch}
%{expand:%do_alt_efi_build %%{grubaltefiarch} %%{grubaltefiname} %%{grubalteficdname} %%{_alt_target_platform} %%{alt_efi_target_cflags} %%{alt_efi_host_cflags}}
%endif
%if 0%{with_legacy_arch}
%{expand:%do_legacy_build %%{grublegacyarch}}
%endif
%if 0%{with_emu_arch}
%{expand:%do_emu_build}
%endif
makeinfo --info --no-split -I docs -o docs/grub-dev.info \
docs/grub-dev.texi
makeinfo --info --no-split -I docs -o docs/grub.info \
docs/grub.texi
makeinfo --html --no-split -I docs -o docs/grub-dev.html \
docs/grub-dev.texi
makeinfo --html --no-split -I docs -o docs/grub.html \
docs/grub.texi

%install
set -e

%do_common_install
%if 0%{with_efi_arch}
%{expand:%do_efi_install %%{grubefiarch} %%{grubefiname} %%{grubeficdname}}
%endif
%if 0%{with_alt_efi_arch}
%{expand:%do_alt_efi_install %%{grubaltefiarch} %%{grubaltefiname} %%{grubalteficdname}}
%endif
%if 0%{with_legacy_arch}
%{expand:%do_legacy_install %%{grublegacyarch} %%{alt_grub_target_name} 0%{with_efi_arch}}
%endif
%if 0%{with_emu_arch}
%{expand:%do_emu_install %%{package_arch}}
%endif

%find_lang grub

# Theme
install -d %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE20} %{buildroot}/boot/%{name}/themes/maggy
for font in %{theme_fonts}; do
  %{buildroot}/usr/bin/grub2-mkfont -o %{buildroot}/boot/%{name}/themes/maggy/$font.pf2 ../%{theme_source}/fonts/$font.bdf
done
# Install 4:3 default in case default.jpg is missing
install -D -m 644 %{SOURCE114} %{buildroot}/boot/%{name}/themes
ln -sf ../grub2-mageia-default.png %{buildroot}/boot/%{name}/themes/maggy/grub2-mageia-default.png

# Ghost config files
install -d %{buildroot}/boot/%{name}
install -d %{buildroot}/boot/%{name}/fonts

cat > %{buildroot}/boot/%{name}/custom.cfg <<EOF
# Set non-graphical text/background colours
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
# Add any extra custom menu entries in here:

EOF

# Provide 'update-grub' and update-grub2 symlink for *buntu exiles ;) 
cat > %{buildroot}%{_bindir}/update-grub <<EOF
#!/bin/sh
su --login root -c "/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg"

EOF
chmod +x %{buildroot}%{_bindir}/update-grub
ln -s %{_bindir}/update-grub %{buildroot}%{_bindir}/update-grub2

# Defaults
install -m 644 -D %{SOURCE52} %{buildroot}%{_sysconfdir}/default/grub

# Remove "GNU/Linux" in menu selections
sed -i 's/ GNU\/Linux//' %{buildroot}%{_sysconfdir}/grub.d/10_linux

install -d -m 0755 %{buildroot}%{_unitdir}/reboot.target.wants
ln -s ../grub2-systemd-integration.service \
	%{buildroot}%{_unitdir}/reboot.target.wants

# Don't run debuginfo on all the grub modules and whatnot; it just
# rejects them, complains, and slows down extraction.
%global finddebugroot "%{_builddir}/%{?buildsubdir}/debug"

%global dip RPM_BUILD_ROOT=%{finddebugroot} %{__debug_install_post}
%define __debug_install_post (						\
	mkdir -p %{finddebugroot}/usr					\
	mv ${RPM_BUILD_ROOT}/usr/bin %{finddebugroot}/usr/bin		\
	mv ${RPM_BUILD_ROOT}/usr/sbin %{finddebugroot}/usr/sbin		\
	%{dip}								\
	install -m 0755 -d %{buildroot}/usr/lib/ %{buildroot}/usr/src/	\
	cp -al %{finddebugroot}/usr/lib/debug/				\\\
		%{buildroot}/usr/lib/debug/				\
	cp -al %{finddebugroot}/usr/src/debug/				\\\
		%{buildroot}/usr/src/debug/ )				\
	mv %{finddebugroot}/usr/bin %{buildroot}/usr/bin		\
	mv %{finddebugroot}/usr/sbin %{buildroot}/usr/sbin		\
	%{nil}
 
%undefine buildsubdir

%post
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans
fi

%post efi
if [[ ! -e /boot/efi && -e /boot/EFI ]]; then
	ln -fs EFI /boot/efi
fi
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans
fi

%posttrans common
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.
   if [ -f /boot/grub2/updtrans ] && [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ] ; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
		rm -f /boot/grub2/updtrans
   fi
   
# Don't let rpmdrake ask users to shoot themselves in feet! Mga#17263
		rm -f /etc/default/grub.rpm*

%post mageia-theme
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/maggy/theme.txt" >> %{_sysconfdir}/default/grub

# If installing theme outside installer then update menu 
if [ "x${DURING_INSTALL}" != "x1" ]; then
%{name}-mkconfig -o /boot/%{name}/grub.cfg && rm -f /boot/%{name}/grub.cfg.rpmsave
fi
fi

# Copy system default background at correct aspect ratio to grub2 default theme
if [ -h %{_datadir}/mga/backgrounds/default.png ] && [ "$DURING_INSTALL" != "1" ]; then
cp -f %{_datadir}/mga/backgrounds/default.png /boot/%{name}/themes/%{name}-mageia-default.png
fi

%triggerpostun mageia-theme -- %{name}-mageia-theme <  2.02-0.git10463.5.mga6
# Run install.sh to replace /boot/grub2/fonts/unicode.pf2
   if [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ]; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
   fi

# If updating from below 2.02-0.git10101.4 then re-make grub.cfg once.
# grub2 dropped ownership of grub.cfg to avoid rpmnew being created.
# Remove rpmnew and after new grub.cfg is created remove rpmsave. Mga#17263
%triggerpostun common -- %{name} < 2.02-0.git10101.4, %{name}-efi < 2.02-0.git10101.4
rm -f /boot/%{name}/grub.cfg.rpmnew
%{name}-mkconfig -o /boot/%{name}/grub.cfg && rm -f /boot/%{name}/grub.cfg.rpmsave
# Take this opportunity to remove some unwanted logs
rm -f /var/log/%{name}_preun.log
rm -f /var/log/%{name}_post.log
rm -f /var/log/%{name}_theme_postun.log

%preun
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{pc_arch}
rm -rf /boot/%{name}/locale
fi

%preun efi
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{my_efi_arch}
rm -rf /boot/%{name}/locale
fi

%postun mageia-theme
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/maggy\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%ifarch %ix86 x86_64
%files
%dir %{_libdir}/grub/i386-pc
%{_libdir}/grub/i386-pc/*
%attr(0644,root,root) %config(noreplace) /etc/dnf/protected.d/%{name}-pc.conf
%endif

%files efi 
%doc README.efi
%dir %{_libdir}/grub/%{my_efi_arch}
%{_libdir}/grub/%{my_efi_arch}/*
%{_sysconfdir}/grub2-efi.cfg
%ifarch %{arm}
%attr(0700,root,root)%{efi_esp_boot}/BOOTARM.EFI
%endif
%attr(0644,root,root) %config(noreplace) /etc/dnf/protected.d/%{name}-efi*.conf

%ifarch %arm
%files uboot
%dir %{_libdir}/grub/%{grublegacyarch}
%{_libdir}/grub/%{grublegacyarch}/*
%attr(0644,root,root) %config(noreplace) /etc/dnf/protected.d/%{name}-arm.conf
%endif

%files common -f grub.lang
%license COPYING
%doc NEWS README THANKS TODO README.Mageia
%dir /boot/%{name}
%dir /boot/%{name}/fonts
%dir /boot/%{name}/themes
%dir %attr(0700,root,root) %{efi_esp_dir}
%exclude %{efi_esp_dir}/*
%{_unitdir}/%{name}-systemd-integration.service
%{_unitdir}/reboot.target.wants
%{_unitdir}/systemd-logind.service.d
%{_infodir}/*
%{_bindir}/%{name}-*
%if 0%{with_emu_arch}
%exclude %{_bindir}/%{name}-emu*
%endif
%{_bindir}/update-grub
%{_bindir}/update-grub2
%{_sbindir}/%{name}-*
%{_libexecdir}/%{name}
%dir %{_libdir}/grub
%{_datarootdir}/bash-completion/completions/grub
%{_sysconfdir}/grub.d/README
%config %{_sysconfdir}/grub.d/[^4]?_*
%config(noreplace) %{_sysconfdir}/grub.d/40_custom
%config(noreplace) %{_sysconfdir}/grub.d/41_custom
%config(noreplace) %{_sysconfdir}/default/grub
%{_datadir}/grub/*
%{_sysconfdir}/sysconfig/grub
%config(noreplace) /boot/%{name}/custom.cfg
%ghost %config(noreplace) %verify(not size mode md5 mtime) /boot/grub2/grubenv
%exclude /boot/%{name}/grub.cfg
%{_mandir}/man1/%{name}-*.1*
%if 0%{with_emu_arch}
%exclude %{_mandir}/man1/%{name}-emu*
%endif
%{_mandir}/man3/%{name}-*.3*
%{_mandir}/man8/%{name}-*.8*
%{_sysconfdir}/grub2.cfg

%files mageia-theme
/boot/%{name}/themes/*

%if 0%{with_emu_arch}
%files emu
%{_bindir}/%{name}-emu*
%{_datadir}/man/man1/%{name}-emu*

%files emu-modules
%{_libdir}/grub/%{emuarch}-emu/*
%exclude %{_libdir}/grub/%{emuarch}-emu/*.module
%endif


%changelog
* Sun Jun 27 2021 tv <tv> 2.06-1.1.mga8
+ Revision: 1733978
- 2.06 (mga#27018)

* Wed Feb 17 2021 tmb <tmb> 2.04.0-29.mga8
+ Revision: 1675546
- translation updates

* Tue Feb 02 2021 martinw <martinw> 2.04.0-28.mga8
+ Revision: 1674535
- use dark blue for unselected items in Mageia theme for better contrast

* Wed Jan 13 2021 martinw <martinw> 2.04.0-27.mga8
+ Revision: 1671621
- update theme with new artwork

* Mon Jan 04 2021 martinw <martinw> 2.04.0-26.mga8
+ Revision: 1668661
- Revert broken support for setting grubenv boot status flags (mga#27269)
+ tv <tv>
- Fixed some typos in grub-install.8 man page

* Fri Nov 27 2020 tmb <tmb> 2.04.0-25.mga8
+ Revision: 1649786
- rebuild for missing signatures

* Tue Sep 01 2020 tv <tv> 2.04.0-24.mga8
+ Revision: 1620640
- Roll over TFTP block counter to prevent timeouts with data packets (rhbz#1869335)
- Add support for "systemctl reboot --boot-loader-menu=xx" (rhbz#1857389)
- Add support for setting boot_success / boot_indeterminate grubenv flags
  Add support for making the user session automatically set the boot_success
  flag and make offline-updates increment the boot_indeterminate grubenv var.

* Sat Aug 22 2020 tv <tv> 2.04.0-23.mga8
+ Revision: 1617814
- add missing patch

* Sat Aug 22 2020 tv <tv> 2.04.0-22.mga8
+ Revision: 1617807
- Set TFTP blocksize to 1428 instead of 2048 to avoid IP fragmentation
  (rhbz#1869335)
- Fix TFTP timeouts when trying to fetch files larger than 65535 KiB

* Fri Aug 21 2020 tv <tv> 2.04.0-21.mga8
+ Revision: 1617417
- fix license tag
- fix license tag

* Thu Aug 20 2020 tv <tv> 2.04.0-20.mga8
+ Revision: 1616717
- try to fix arm build

* Wed Aug 19 2020 tv <tv> 2.04.0-19.mga8
+ Revision: 1616131
- Attempt to enable dual-signing
- "Minor" bug fixes.
  Resolves: CVE-2020-10713
  Resolves: CVE-2020-14308
  Resolves: CVE-2020-14309
  Resolves: CVE-2020-14310
  Resolves: CVE-2020-14311
  Resolves: CVE-2020-15705
  Resolves: CVE-2020-15706
  Resolves: CVE-2020-15707

* Fri Jun 12 2020 martinw <martinw> 2.04.0-18.mga8
+ Revision: 1592943
- build with -Os so core.img fits in MBR 63 sector gap (mga#26778)
+ tv <tv>
- http: Prepend prefix when the HTTP path is relative as done in efi/http

* Mon Jun 08 2020 tv <tv> 2.04.0-17.mga8
+ Revision: 1590926
- fix build with rpm-4.16
- Install GRUB as \EFI\BOOT\BOOTARM.EFI in armv7hl

* Fri May 29 2020 martinw <martinw> 2.04.0-16.mga8
+ Revision: 1588860
- restore the upstream 'linux' command, renamed to 'linux32'
  o allows booting using the 32-bit Linux boot protocol
- translation updates for Mageia theme
+ tv <tv>
- Fix an out of memory error when loading large initrd images (rhbz#1838633)
- Enable tpm module and make system to boot even if TPM measurements fail
  (rhbz#1836433)

* Wed May 13 2020 tv <tv> 2.04.0-15.mga8
+ Revision: 1583552
- Fix a segfault in grub2-editenv when attempting to shrink a variable

* Sun Apr 26 2020 tv <tv> 2.04.0-14.mga8
+ Revision: 1572212
- disable another BLS patch

* Sat Apr 25 2020 tv <tv> 2.04.0-13.mga8
+ Revision: 1571997
- disable BLS
- symlink /boot/efi -> /boot/EFI
- BR python3 rather than py2

* Sat Apr 25 2020 tmb <tmb> 2.04.0-12.mga8
+ Revision: 1571916
- fix detecting Mageia /boot/EFI

* Fri Apr 24 2020 tv <tv> 2.04.0-11.mga8
+ Revision: 1571666
- efi: Set image base address before jumping to the PE/COFF entry point, needed
  for kernel 5.7 (rhbz#1825411)
- Make the grub-switch-to-blscfg and 10_linux scripts more robust

* Thu Apr 02 2020 tv <tv> 2.04.0-10.mga8
+ Revision: 1564013
- resync patches with FC
  o grub-set-bootflag: Write new env to tmpfile and then rename
    (CVE-2019-14865, rhbz#1776580)
  o re-enable BLS as it doesn't generate doble entries anymore
  o Fix for entries having an empty initrd command and HTTP boot issues
    (rhbz#1806022)
- enable SDL support in grub2-emu

* Sat Feb 29 2020 martinw <martinw> 2.04.0-9.mga8
+ Revision: 1552458
- fix directory/file ownership (breakage from FC sync)

* Sat Feb 29 2020 tv <tv> 2.04.0-8.mga8
+ Revision: 1552365
- relax /boot/grub2 permissions so that we can build d-i-images

* Sat Feb 29 2020 martinw <martinw> 2.04.0-7.mga8
+ Revision: 1552247
- fix grub-install to copy locale files (upstream bug #57889)
- restore missing translations (workaround upstream bug #57298)
- add ability to translate theme menu title
- add theme menu title and footer text translations
  (taken from software/design/grub2-theme snapshot
   and merged into upstream .po/.mo files)
- get MageiaLogo fonts from software/design/grub2-theme snapshot

* Tue Feb 18 2020 pterjan <pterjan> 2.04.0-6.mga8
+ Revision: 1537987
- Fix file list in arm-uboot
- Disable fdt on arm_uboot
- Also build efi package on arm

* Mon Feb 17 2020 tv <tv> 2.04.0-4.mga8
+ Revision: 1536944
- disable BLS support for now b/c of doubled entries
- drop mga5 era conflicts
- update SuSE patch & drop my fixup
- do not hardcode mga6
+ pterjan <pterjan>
- Define legacy_target_cpu_name on arm

* Sun Feb 16 2020 tv <tv> 2.04.0-3.mga8
+ Revision: 1536651
- don't set arm as EFI only
- set platform as uboot for arm

* Sun Feb 16 2020 tv <tv> 2.04.0-1.mga8
+ Revision: 1535861
- fix build on ia32
- 2.04
- add emu subpkg
- sync patches with FC
- switch to FC way of building
- boot tested in VMs (both PC & UEFI)
- do not abort build for missing builds ids
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 tv <tv> 2.02.0-16.mga8
+ Revision: 1441874
- rebuild for rpm-4.15

* Sat May 11 2019 martinw <martinw> 2.02.0-15.mga7
+ Revision: 1397287
- readjust position of informational message bar in maggy theme
  o avoids overlap with Mageia Logo in some languages

* Wed May 08 2019 barjac <barjac> 2.02.0-14.mga7
+ Revision: 1396737
- update fallback b/g image
- brighten menu items colour some more

* Wed May 08 2019 barjac <barjac> 2.02.0-13.mga7
+ Revision: 1396663
- change text colour in theme for Mga7 background

* Sun Jan 20 2019 martinw <martinw> 2.02.0-12.mga7
+ Revision: 1358410
- add extra glyphs to MageiaLogo fonts used in maggy theme (mga#19592)
  o provides all Latin-1 Supplement and Latin Extended-A glyphs
- adjust position of informational message bar in maggy theme
  o avoids overlap with Mageia Logo in some languages

* Thu Dec 20 2018 tv <tv> 2.02.0-11.mga7
+ Revision: 1343475
- fix installing grub2 on a xfs partition (mga#24030)

* Thu Oct 11 2018 pterjan <pterjan> 2.02.0-10.mga7
+ Revision: 1319616
- Add upstream patch which should fix "grub2-install: error: relocation 0x4 is not implemented yet." error on x86_64

* Thu Oct 11 2018 pterjan <pterjan> 2.02.0-9.mga7
+ Revision: 1319413
- Add SuSE patch fixing build with gcc8 on x86_64
- Small fixes to allow the package to build on aarch64
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 barjac <barjac> 2.02.0-7.mga7
+ Revision: 1243325
- patch to fix Mga#23268
- (mageia 6: cant boot installation medium (neither usb nor dvd) on direkt-tek DTLAPY116-2)

* Thu Apr 19 2018 barjac <barjac> 2.02.0-6.mga7
+ Revision: 1220250
- Update to grub2-2.02-unity-mkrescue-use-grub2-dir.patch

* Wed Apr 18 2018 barjac <barjac> 2.02.0-5.mga7
+ Revision: 1219973
- Patched to fix Mga#22918
- (grub2-mkrescue still searches /boot/grub for config)
- thanks to Jeremiah Summers for the Unity patch

* Mon Mar 12 2018 martinw <martinw> 2.02.0-4.mga7
+ Revision: 1208657
- Enable translation of labels in the theme configuration file.

* Wed Dec 13 2017 barjac <barjac> 2.02.0-3.mga7
+ Revision: 1182520
- Copy grub.mo rather than link
- Fixes Mga#22182 (grub.mo dangling link)

* Mon Dec 11 2017 barjac <barjac> 2.02.0-2.mga7
+ Revision: 1182161
- requires console-setup (Mga#22153
- (grub2-kbdcomp requires the ckbcomp command which isnt available in Mageia)

* Mon Oct 30 2017 barjac <barjac> 2.02.0-1.mga7
+ Revision: 1175008
- new release 2.02
- Improve version/release handling to simplify full releases and snapshots
- add script to sources make_snapshot_patch to get mid-release snapshots from git
- drop one Fedora patch that fails to apply 10005-Make-a-gdb-dprintf-that-tells-us-load-addresses.patch

* Sun Oct 15 2017 joequant <joequant> 2.02-0.git10463.11.mga7
+ Revision: 1172000
- minimal changes to compile grub2 in cauldron environment
+ tv <tv>
- fix debuginfo, thus fixing build
+ barjac <barjac>
- remove/fix conflicts between grub2 and grub2-efi (mga#21811)
- correct ownership of %%{_libdir}/grub to -common package
- edit to description and cosmetic edit to spec

* Fri Sep 01 2017 tv <tv> 2.02-0.git10463.9.mga7
+ Revision: 1150488
- rebuild for new rpm

* Fri Jun 16 2017 barjac <barjac> 2.02-0.git10463.8.mga6
+ Revision: 1107808
- Change menu title to Mageia Boot Menu

* Mon May 15 2017 barjac <barjac> 2.02-0.git10463.7.mga6
+ Revision: 1101819
- fix Mga#19944 - (grub2 password set in drakboot does not protect booting of linux operating systems)
- Patch to remove --unrestricted when password set

* Tue Mar 21 2017 barjac <barjac> 2.02-0.git10463.6.mga6
+ Revision: 1093925
- set foreground/background colours for non-graphical text mode

* Wed Jan 18 2017 barjac <barjac> 2.02-0.git10463.5.mga6
+ Revision: 1082254
- fix urpmi upgrade from Mga5 to Mga6 Mga#20133
- (urpmi upgrade 5 > 6 loses grub2 background)

* Tue Oct 18 2016 barjac <barjac> 2.02-0.git10463.4.mga6
+ Revision: 1062049
- Add extra glyphs to mageia font Mga#19592
- dont limit range when converting to .pf2 in mkfonts script

* Tue Sep 20 2016 ghibo <ghibo> 2.02-0.git10463.3.mga6
+ Revision: 1054709
- fix permssion of themes png and pf2 files

* Tue Sep 20 2016 barjac <barjac> 2.02-0.git10463.2.mga6
+ Revision: 1054638
- check for default.png not default.jpg

* Tue Sep 20 2016 barjac <barjac> 2.02-0.git10463.1.mga6
+ Revision: 1054558
- really add patch into grub.patches
- s/10462/10463/ typo
- remove obsolete --enable-grub-emu-usb parameter
- fix duplicate file
- use %%make_build and %%make_install macros
- new git snapshot patch
- copy theme b/g directly from default.png now we have it
- tidy spec - remove commented patches

* Wed Sep 07 2016 barjac <barjac> 2.02-0.git10457.17.mga6
+ Revision: 1050417
- fix b/g symlink for systems with separate /boot

* Sun Sep 04 2016 barjac <barjac> 2.02-0.git10457.16.mga6
+ Revision: 1049988
- dont try to copy theme b/g in installer

* Sun Sep 04 2016 barjac <barjac> 2.02-0.git10457.15.mga6
+ Revision: 1049967
- move background image to /themes and symlink from maggy
- to fix path to image file irrespective of whether default or dejavu theme is used
- add conflict for re-named dejavu theme package which will no longer be versioned in the name

* Fri Sep 02 2016 barjac <barjac> 2.02-0.git10457.14.mga6
+ Revision: 1049734
- use correct aspect ratio background if available
- add conflicts for old and new  dejavu themes
- if theme is installed outside installer update menu

* Fri Aug 12 2016 barjac <barjac> 2.02-0.git10457.13.mga6
+ Revision: 1046028
- switch to background with logo at higher resolution

* Mon Aug 08 2016 barjac <barjac> 2.02-0.git10457.12.mga6
+ Revision: 1045031
- first test of mga6 theme
- drop -%%{release} from require of main pkgs in theme to allow easy testing of new themes

* Tue Jul 19 2016 barjac <barjac> 2.02-0.git10457.11.mga6
+ Revision: 1042593
- Patch to ignore test of disk/by-uuid when in installer
- workaround for Mga#18780 ( grub.cfg entries use root=/dev/sdXY instead of root=UUID...)

* Mon Jul 11 2016 barjac <barjac> 2.02-0.git10457.10.mga6
+ Revision: 1041058
- dont write grub2 diskfilter writes not supported error to screen
- mentioned in Mga#18781#1 (dont write sparse file error to screen)

* Sun Jul 10 2016 barjac <barjac> 2.02-0.git10457.9.mga6
+ Revision: 1040611
- fix for Mga#18781
- grub2 flashes error: sparse file not allowed message when booting from btrfs
- patched to ignore the error

* Mon Jun 27 2016 barjac <barjac> 2.02-0.git10457.8.mga6
+ Revision: 1037745
- Dont run old install-sh when upgrading under drakx Mga#15583
- Move rpmnew/save removal outside conditional so it always happens

* Tue Jun 07 2016 barjac <barjac> 2.02-0.git10457.7.mga6
+ Revision: 1020551
- Add SuSE patch to fix Mga#15846
-  (Grub2 doesnt install the bootloader on btrfs if we have a dualboot with windows starting at sector 63)

* Mon Jun 06 2016 barjac <barjac> 2.02-0.git10457.6.mga6
+ Revision: 1020311
- On update be sure all grub2 pkgs are installed before running install.sh
+ tv <tv>
- drop 90_persistent script like FC did as:
  o it is undocumented.
  o it haven't been upstreamed.
  o upstream has 40_custom and 41_custom for the same purpose.
  o it violates layering and code structure by guessing which (optional!) output
    file has been specified for grub2-mkconfig ... and makes the wrong guess for
    grub2-efi.
- there's no reason to recommends memtest86+ (bloating)

* Sat May 28 2016 barjac <barjac> 2.02-0.git10457.5.mga6
+ Revision: 1019042
- remove disk cache patch pushed to release in error

* Fri May 27 2016 barjac <barjac> 2.02-0.git10457.4.mga6
+ Revision: 1018949
- move unicode.pf2 to /usr/share/grub Mga#18552

* Thu May 26 2016 barjac <barjac> 2.02-0.git10457.3.mga6
+ Revision: 1018836
- remove non-graphical menu colours from custom.cfg
+ tv <tv>
- add details

* Thu May 26 2016 tv <tv> 2.02-0.git10457.2.mga6
+ Revision: 1018772
- increase disk cache (mga#16010, mga#18538)

* Mon May 09 2016 barjac <barjac> 2.02-0.git10457.1.mga6
+ Revision: 1011161
- create snapshot patch with revision #
- use git apply rather than git am or patches fail to apply
- use correct git revision in package name

* Sat May 07 2016 tmb <tmb> 2.02-0.git10270.8.mga6
+ Revision: 1010339
- submit to /release

* Fri May 06 2016 barjac <barjac> 2.02-0.git10270.7.mga6
+ Revision: 1009668
- remove TPM/secure boot patches from fd

* Thu Apr 28 2016 barjac <barjac> 2.02-0.git10270.6.mga6
+ Revision: 1007014
- use grub.patches to unclutter spec
- use one line per buildrequire as Mageia policy
- fix spaces/tabs

* Tue Apr 26 2016 tv <tv> 2.02-0.git10270.5.mga6
+ Revision: 1006392
- one more fix from FC

* Tue Apr 26 2016 tv <tv> 2.02-0.git10270.4.mga6
+ Revision: 1006391
- BS do not seem to like %%include
- 2.02 beta3
- sync patches with FC

* Tue Mar 15 2016 tv <tv> 2.02-0.git10270.3.mga6
+ Revision: 990802
- kill doble BR
- reorder BRs like FC (easier syncing)
- add git BR
- adjust file list
- sync patches with FC
- apply them with git like FC does
  (thus helping syncing them...)
- drop one mga patch as it's already in FC stack

* Wed Feb 10 2016 tv <tv> 2.02-0.git10270.2.mga6
+ Revision: 953531
- drop recommends on theme (now handled by drakboot) (mga#9431)

* Mon Jan 25 2016 barjac <barjac> 2.02-0.git10270.1.mga6
+ Revision: 927090
- new snapshot 10270
- dont build empty grub2 package in arm
- remove obsolete patches
- re-diff one patch
- fix tabs/spaces

* Fri Jan 22 2016 neoclust <neoclust> 2.02-0.git10101.8.mga6
+ Revision: 926545
- Add Arm support

* Tue Jan 05 2016 barjac <barjac> 2.02-0.git10101.7.mga6
+ Revision: 919799
- upstream patch to fix halt on some hardware Mga#17437

* Tue Dec 15 2015 barjac <barjac> 2.02-0.git10101.6.mga6
+ Revision: 910713
- fix for CVE-2015-8370 Mga#17334 buffer overflow when checking password
- also added Fedora patch to use only GRUB2_PASSWORD

* Sat Dec 05 2015 barjac <barjac> 2.02-0.git10101.5.mga6
+ Revision: 908418
- push to core and bump release to give testers of Mga#17263 another update
- (grub2 updates create several .rpmnew which removes boot menu)

* Tue Dec 01 2015 barjac <barjac> 2.02-0.git10101.4.mga6
+ Revision: 907432
- Stop rpmnew files being offered on update Mga#17263
- by dis-owning grub.cfg which is always now written by other packages
- delete /etc/default/grub.rpmnew on updates to stop it being offered
- remove grub2-efi %%triggerpostun as it is covered by a new one used to recreate grub.cfg once only
- remove some old log files with the same trigger and stop creating them

* Mon Nov 23 2015 barjac <barjac> 2.02-0.git10101.3.mga6
+ Revision: 905032
- add warning to grub2-efi description and
- remove old misleading info from description

* Mon Nov 16 2015 barjac <barjac> 2.02-0.git10101.2.mga6
+ Revision: 903489
- move 93_memtest to memtest package #Mga15914
- recommend memtest
- move recommends os-prober and theme to common
- conflict older memtest86+ packages

* Tue Sep 08 2015 barjac <barjac> 2.02-0.git10101.1.mga6
+ Revision: 873987
- new snapshot
- synced patches from Fedora
- re-diffed failsafe  patch
- new BR pkgconfig(rpm)
- fix files list

* Fri Sep 04 2015 barjac <barjac> 2.02-0.git9752.22.mga6
+ Revision: 872680
+ rebuild (emptylog)

* Thu Sep 03 2015 barjac <barjac> 2.02-0.git9752.21.mga6
+ Revision: 872503
- Patch to fix Mga#16672
- Dont munge raw spaces when passing kernel parameters

* Fri Aug 21 2015 tmb <tmb> 2.02-0.git9752.20.mga6
+ Revision: 867458
- rebuild for new gcc

* Sat Jul 11 2015 barjac <barjac> 2.02-0.git9752.19.mga6
+ Revision: 853282
- split out common files into grub2-common Mga#15913
- initially set GRUB_DISABLE_RECOVERY=false

* Tue Apr 14 2015 barjac <barjac> 2.02-0.git9752.18.mga5
+ Revision: 820184
- update README.mageia for no filetriggers
- remove all filetriggers
- stop %%posts failing when grub2 is not bootloader
- update README files

* Mon Apr 13 2015 barjac <barjac> 2.02-0.git9752.17.mga5
+ Revision: 820103
- Add failsafe rather than single in rescue mode Mga#15675
- remove modules part of filetrigger filter (kernel updates) now handled by drakx

* Fri Apr 10 2015 tmb <tmb> 2.02-0.git9752.15.mga5
+ Revision: 820032
- only Recommend xorriso to avoid bloated installs

* Thu Apr 09 2015 tv <tv> 2.02-0.git9752.14.mga5
+ Revision: 819995
- simplify %%post, just rely on /boot/grub2/install.sh (mga#11827)

* Tue Mar 24 2015 tv <tv> 2.02-0.git9752.13.mga5
+ Revision: 819208
- grub2-mkimage needs XZ support
+ barjac <barjac>
- Add Requires: xorriso for grub2-mkrescue -  mga#15514

* Mon Jan 05 2015 tmb <tmb> 2.02-0.git9752.12.mga5
+ Revision: 808518
- grub2-efi
  * only run post during install, not on upgrade
  * fix installing from live mode

* Mon Jan 05 2015 barjac <barjac> 2.02-0.git9752.11.mga5
+ Revision: 808473
- BOOT_PARTITION was used before being defined in %%post

* Tue Dec 16 2014 barjac <barjac> 2.02-0.git9752.10.mga5
+ Revision: 803582
- update theme for Mageia 5

* Wed Dec 10 2014 barjac <barjac> 2.02-0.git9752.9.mga5
+ Revision: 802633
- added GRUB_CRYPTODISK_ENABLE=y to default config mga#14741
- patch to fix regression when GRUB_CRYPTODISK_ENABLE=y with no encrypted partitions

* Wed Oct 15 2014 umeabot <umeabot> 2.02-0.git9752.8.mga5
+ Revision: 739167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.02-0.git9752.7.mga5
+ Revision: 679954
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 20 2014 luigiwalser <luigiwalser> 2.02-0.git9752.6.mga5
+ Revision: 666017
- rediff patch from harbour to fix CVE-2014-4607 in bundled minilzo

* Sat Jul 05 2014 pterjan <pterjan> 2.02-0.git9752.5.mga5
+ Revision: 643675
- Replace libusb*-devel BuildRequires by better ones

* Wed Jun 11 2014 barjac <barjac> 2.02-0.git9752.4.mga5
+ Revision: 635563
- drop linuxefi Fedora patches
- drop reverted patch pair
- drop Don-t-write-messages-to-the-screen.patch temporarily
- add versioned rpm trigger to grub2-efi to update grub.cfg when updating from below this version

* Tue Jun 03 2014 tmb <tmb> 2.02-0.git9752.2.mga5
+ Revision: 632621
- re-add support for linuxefi target

* Sun Jun 01 2014 barjac <barjac> 2.02-0.git9752.1.mga5
+ Revision: 629976
- new git snapshot
- fix mga 12423 for most cases
- fix typos in readme
- remove upstreamed patches

* Tue Mar 18 2014 pterjan <pterjan> 2.00-59.mga5
+ Revision: 605125
- Fix build

* Sun Jan 05 2014 ennael <ennael> 2.00-58.mga4
+ Revision: 564767
- rename background file
- rename Mageia background image
- Mageia 4 design

* Wed Nov 13 2013 barjac <barjac> 2.00-57.mga4
+ Revision: 550910
- remove Fedora patches that affect text only menu layout

* Tue Nov 12 2013 barjac <barjac> 2.00-56.mga4
+ Revision: 550657
- add Fedora patches not applied upstream
- drop virtual provide on theme

* Sun Nov 10 2013 tmb <tmb> 2.00-55.mga4
+ Revision: 550414
- grub2-mageia-theme: dont conflict own virtual provide

* Sat Nov 09 2013 barjac <barjac> 2.00-54.mga4
+ Revision: 550058
- git snapshot
- add GRUB_DISABLE_SUBMENU to etc/default/grub as example (no change to default)

* Tue Nov 05 2013 tmb <tmb> 2.00-53.mga4
+ Revision: 549704
- fix install from live mode

* Tue Nov 05 2013 barjac <barjac> 2.00-52.mga4
+ Revision: 549519
- re-install grub2 on updates if drakboot.conf exists

* Sat Oct 26 2013 tmb <tmb> 2.00-51.mga4
+ Revision: 547151
- have grub2-efi require efibootmgr for more automated install

* Mon Oct 21 2013 umeabot <umeabot> 2.00-50.mga4
+ Revision: 539292
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 barjac <barjac> 2.00-49.mga4
+ Revision: 491788
- fix mga#11168 (remove linux)

* Thu Jul 04 2013 barjac <barjac> 2.00-48.mga4
+ Revision: 450000
- remove virtual provides versioning
- make theme package noarch
- add provides/conflicts grub2theme to allow other themes
- just remove old theme from config
- own theme sub dir and remove it from postun

* Mon Jul 01 2013 barjac <barjac> 2.00-47.mga4
+ Revision: 449511
- improve appearance of non-themed text menu with Mageia-ish colours

* Thu May 23 2013 barjac <barjac> 2.00-46.mga4
+ Revision: 425400
- revert previous commit

* Wed May 08 2013 barjac <barjac> 2.00-45.mga3
+ Revision: 412632
- remove filetrigger for kernel updates as this should now be handled by bootloader
- remove memtest support until after mga3 release

* Mon May 06 2013 barjac <barjac> 2.00-44.mga3
+ Revision: 412411
- put memtest always at bottom of menu

* Mon May 06 2013 barjac <barjac> 2.00-43.mga3
+ Revision: 412404
- add support for memtest86+ mga#9991
- revert %%post removal in prev commit

* Sat May 04 2013 barjac <barjac> 2.00-42.mga3
+ Revision: 412225
- remove %%post
- remove require on mageia-theme

* Sun Mar 24 2013 barjac <barjac> 2.00-41.mga3
+ Revision: 404821
- include tarball of master bdf fonts
- update mkfonts script to make needed pf2 fonts from bdf tarball
- updated theme fonts to fix some glyphs
- thanks to diogenese for work on unofficial MageiaLogo font
- update fonts

* Fri Mar 22 2013 barjac <barjac> 2.00-40.mga3
+ Revision: 404429
- fix update-grub env so os-prober can find blkid

* Mon Mar 18 2013 barjac <barjac> 2.00-39.mga3
+ Revision: 403927
- switch to mageia 3 theme background

* Mon Mar 11 2013 barjac <barjac> 2.00-38.mga3
+ Revision: 402075
- change theme font to MageiaLogo
- corrections and improvements to README.Mageia

* Thu Mar 07 2013 barjac <barjac> 2.00-37.mga3
+ Revision: 401594
- move theme background image into package as it will be for mga3 release

* Tue Mar 05 2013 tv <tv> 2.00-36.mga3
+ Revision: 401431
- only update grub2.cfg if already existing
- no need for bash

* Mon Mar 04 2013 barjac <barjac> 2.00-35.mga3
+ Revision: 401408
- correct path

* Wed Feb 27 2013 barjac <barjac> 2.00-34.mga3
+ Revision: 400520
- set default timeout to 10 seconds

* Mon Feb 25 2013 barjac <barjac> 2.00-33.mga3
+ Revision: 400332
- add update-grub & update-grub2 (symlink)
- update README.Mageia for above
- add note in /etc/default/grub
- no need to patch aclocal.m4
- patch13 to fix autoreconf AM_PROG_MKDIR_P warnings

* Sat Feb 23 2013 barjac <barjac> 2.00-32.mga3
+ Revision: 400190
- revert to using unicode font for terminal
- remove make tarball script
- remove 7x13.pf2 font file
- modify mkfonts script to not make 7x13.pf2
- re-enumerate sources

* Sat Feb 23 2013 barjac <barjac> 2.00-31.mga3
+ Revision: 400102
- improved workaround for RHL Bug 817187, removing it from %%post

* Fri Feb 22 2013 barjac <barjac> 2.00-30.mga3
+ Revision: 400001
- suppress error message on minimal install with --no-suggests #9148

* Wed Feb 20 2013 tv <tv> 2.00-29.mga3
+ Revision: 399495
- do not package huge ChangeLog

* Mon Feb 18 2013 barjac <barjac> 2.00-28.mga3
+ Revision: 399253
- clean up files
- add -n (no-clobber) to prevoius cp workaround for when this is fixed upstream

* Sat Feb 16 2013 barjac <barjac> 2.00-27.mga3
+ Revision: 398620
- Workaround for RHL Bug 817187

* Sun Feb 10 2013 barjac <barjac> 2.00-26.mga3
+ Revision: 397694
- run autogen.sh in both build trees

* Sun Feb 10 2013 pterjan <pterjan> 2.00-25.mga3
+ Revision: 397685
- Fix parallel build

* Sun Feb 10 2013 barjac <barjac> 2.00-24.mga3
+ Revision: 397678
- try non-parallel build
- forgot to apply all patches to both builds

* Sat Feb 09 2013 barjac <barjac> 2.00-23.mga3
+ Revision: 397663
- cherry picked patches from Fedora

* Sat Feb 09 2013 barjac <barjac> 2.00-22.mga3
+ Revision: 397534
- improved handling of theme addition/removal from /etc/default/grub
- fixes bug where someone has removed linefeed from file end or has commented the THEME= line

* Fri Feb 08 2013 barjac <barjac> 2.00-21.mga3
+ Revision: 397190
- update theme with new font
- add custom.cfg
- new mkfonts script
- re-enumerated sources
- cleaned GNU/Linux from cluttering menus
- matched font colours to Mageia logo
- make grub2-efi also own /boot/grub2 ;)

* Fri Feb 08 2013 tmb <tmb> 2.00-20.mga3
+ Revision: 397106
- own /boot/grub2 dir too

* Thu Feb 07 2013 barjac <barjac> 2.00-19.mga3
+ Revision: 395043
- added warning note inside /etc/default/grub

* Wed Feb 06 2013 barjac <barjac> 2.00-18.mga3
+ Revision: 394991
- split out theme into separate package
- theme now Suggested
- os-prober and theme addition/removal handled by filetriggers
- updated README.Mageia to reflect above changes
- added option for disabling os-prober to /etc/default/grub

* Mon Feb 04 2013 barjac <barjac> 2.00-17.mga3
+ Revision: 394533
- os-prober should be Suggests

* Mon Jan 28 2013 barjac <barjac> 2.00-16.mga3
+ Revision: 392864
- edited help text in boot screen

* Fri Jan 25 2013 barjac <barjac> 2.00-15.mga3
+ Revision: 392262
- force copy of theme b/g for updates

* Thu Jan 24 2013 barjac <barjac> 2.00-14.mga3
+ Revision: 391754
- copy theme b/g to /boot when /boot is on separate partition in case / is encrypted

* Sun Jan 20 2013 barjac <barjac> 2.00-13.mga3
+ Revision: 390289
- update group

* Wed Jan 16 2013 barjac <barjac> 2.00-12.mga3
+ Revision: 388457
- add provides bootloader to both packages
- add suggests mageia-theme to -efi package

* Sat Jan 12 2013 umeabot <umeabot> 2.00-11.mga3
+ Revision: 352682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 barjac <barjac> 2.00-10.mga3
+ Revision: 334731
- updated description and README.Mageia

* Mon Dec 17 2012 tv <tv> 2.00-9.mga3
+ Revision: 331864
- fix build with official version
- use official tarball (which includes translations)

* Sat Dec 15 2012 tv <tv> 2.0-8.mga3
+ Revision: 331059
- suggests instead of requiring mageia-theme

* Sat Dec 15 2012 tv <tv> 2.0-7.mga3
+ Revision: 331055
- requires mageia-theme (else image symlink is broken for graphical grub)

* Thu Nov 15 2012 barjac <barjac> 2.0-6.mga3
+ Revision: 318311
- corrected url
- minor edits in desription and README.Mageia

* Wed Oct 10 2012 barjac <barjac> 2.0-5.mga3
+ Revision: 304517
- Fix i586 build with configure2_5x

* Sun Sep 30 2012 barjac <barjac> 2.0-4.mga3
+ Revision: 300624
- Changed group in line with new policy

* Mon Sep 17 2012 barjac <barjac> 2.0-3.mga3
+ Revision: 295597
- patch to fix build against glibc-2.16
- improved description

* Fri Jun 29 2012 barjac <barjac> 2.0-2.mga3
+ Revision: 265181
- New version final release of v2.0
- Removed revision from filename as this is a release
- Added Suggests on efibootmgr
- Moved files efi to end of spec
- Removed README.efi from grub2 rpm
- Added explanation about -efi rpm to README.Mageia
- Changed var name in grub.default as changed upstream

* Sun Jun 03 2012 barjac <barjac> 2.0-1.4412.mga3
+ Revision: 253509
- Updated README.efi
- Updated revision
- Fixed updates deleting files in preun
- Removed redundant code in install section
- Corrected minor scripting error in mk_tar_from_grub_trunk

* Tue May 29 2012 barjac <barjac> 2.0-1.4379.mga3
+ Revision: 248863
- Removed dot from one summary
- imported package grub2

